# PhasicFlow: bitTransfer Class Reference

bitTransfer Class Reference

## Public Member Functions

| bitTransfer ()
unsigned long | operator() (const unit3 &int3)
unit3 | operator() (const unsigned long &ul)

## Static Protected Attributes

static const int | numBits_ = 21
static const int | numBits2_ = 2 * numBits_
static const unsigned long | mask1_ = 0x000000000001FFFFF
static const unsigned long | mask2_ = 0x0000003FFFFE00000
static const unsigned long | mask3_ = 0x07FFFFC0000000000

## Detailed Description

Definition at line 35 of file bitTransfer.hpp.

## Constructor & Destructor Documentation

## bitTransfer()

bitTransfer | ( |  | ) |

inline

Definition at line 47 of file bitTransfer.hpp.

## Member Function Documentation

## operator()() [1/2]

unsigned long operator() | ( | const unit3 & | int3 | ) |

inline

Definition at line 49 of file bitTransfer.hpp.

References bitTransfer::numBits2_, and bitTransfer::numBits_.

## operator()() [2/2]

unit3 operator() | ( | const unsigned long & | ul | ) |

inline

Definition at line 57 of file bitTransfer.hpp.

References bitTransfer::mask1_, bitTransfer::mask2_, bitTransfer::mask3_, bitTransfer::numBits2_, and bitTransfer::numBits_.

## Member Data Documentation

## numBits_

const int numBits_ = 21

staticprotected

Definition at line 39 of file bitTransfer.hpp.

Referenced by bitTransfer::operator()().

## numBits2_

const int numBits2_ = 2 * numBits_

staticprotected

Definition at line 40 of file bitTransfer.hpp.

Referenced by bitTransfer::operator()().

## mask1_

const unsigned long mask1_ = 0x000000000001FFFFF

staticprotected

Definition at line 41 of file bitTransfer.hpp.

Referenced by bitTransfer::operator()().

## mask2_

const unsigned long mask2_ = 0x0000003FFFFE00000

staticprotected

Definition at line 42 of file bitTransfer.hpp.

Referenced by bitTransfer::operator()().

## mask3_

const unsigned long mask3_ = 0x07FFFFC0000000000

staticprotected

Definition at line 43 of file bitTransfer.hpp.

Referenced by bitTransfer::operator()().

The documentation for this class was generated from the following file:

- src/phasicFlow/structuredData/trisurfaceStructure/bitTransfer.hpp